Bug 184096 - x40 laptop no longer sleeps when lid is shut
x40 laptop no longer sleeps when lid is shut
Product: Fedora
Classification: Fedora
Component: acpid (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2006-03-06 04:25 EST by Wade Mealing
Modified: 2015-03-04 20:16 EST (History)
1 user (show)

See Also:
Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-10 10:48:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2006-03-06 04:25:15 EST
Description of problem:
In fc5t2, when the lid of my x40 was closed, the machine would get put to sleep
(equivalent of echo 'mem' > /sys/power/state ).

Version-Release number of selected component (if applicable):

How reproducible:
Every Time

Steps to Reproduce:
1. Install FC5T3
2. Close lid (no beep)
3. Put laptop in bag
4. Wait 30 minutes.  
5. And look, a freshly cooked laptop :(
Actual results:

Expected results:

Machine to beep.
Machine to sleep
No cooked laptop.

Additional info:

IBM x40 laptop. Worked fantastically in FC5T2.  I am available to run test
kernels if required.
Comment 1 Phil Knirsch 2006-03-06 10:29:57 EST
Acpid never had a script for that, the only one that we ship and is currently
active is the one for the power off button which does a shutdown -h now.

So my guess is that this is a new kernel bug.

Could you try an older kernel (the one from FC5T2) and see if you get the same
problem then?


Read ya, Phil
Comment 2 Wade Mealing 2006-03-07 09:16:16 EST
Ok, installed FC5T2 kernel:

Linux localhost.localdomain 2.6.15-1.1826.2.10_FC5 #1 Wed Jan 11 18:12:42 EST
2006 i686 i686 i386 GNU/Linux

Still behaves the same way, I've noticed that my x40 also no longer "beeps" when
I insert my power cable.  I find this a little odd.  The gnome battery applet
seems to reflect the current state though.
Comment 3 Wade Mealing 2006-03-26 03:18:21 EST
Ok, FC5 final, seems to suspend ok. Sleep ok.. Got a different "sleep" style bug

It seems that X11 applications dont seem to redraw properly after sleep.

Have to reboot to fix it.  Going to lodge a new bug as this seems to be fixed.
Comment 4 Wade Mealing 2006-04-04 00:53:33 EDT
System beeps now.. dont know why.

Looks like someone beat me to filing the bug:

See 184096
Comment 5 Phil Knirsch 2006-05-10 10:48:34 EDT
Assuming this bug has been fixed with FC5 final (from the comments) i'm closing
this with currentrelease.

Please reopen if this isn't the case (not relating to the new bug you saw with
X11, but thats not an acpid problem).

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.